eoPersistent(3)

NAME
eoPersistent - An persistent object that knows how to write (through functions inherited from eoPrintable#) and read itself.

SYNOPSIS

#include <eoPersistent.h>

Inherits eoPrintable.

Inherited by EO< F >, EO< double >, EO< EOT::Fitness >, EO< Fit >, EO< Fitness >, EO< fitness_type >, EO< fitnessT >, EO< FitT >, EO< FType >, EO< phenotype >, EO< PyFitness >, eoContinue< EOT >, eoDistribution< EOT >, eoHowMany, eoIntBounds, eoParser, eoPop< EOT >, eoPop< Dummy >, eoPop< PyEO >, eoRealBounds, eoRealVectorBounds, and eoRng.

  Public Member Functions
virtual ~eoPersistent ()
Virtual dtor. They are needed in virtual class hierarchies.
virtual void readFrom (std::istream &_is)=0
Read object.

Detailed Description

An persistent object that knows how to write (through functions inherited from eoPrintable#) and read itself.

Definition at line 52 of file eoPersistent.h.

Member Function Documentation

  virtual void eoPersistent::readFrom (std::istream & _is) [pure virtual]

Read object.

Parameters:
    _is A std::istream.

Exceptions:
    runtime_std::exception If a valid object can't be read.

Implemented in EO< F >, eoContinue< EOT >, eoGenContinue< EOT >, eoPop< EOT >, eoVector< FitT, GeneType >, eoEsFull< Fit >, eoEsSimple< Fit >, eoEsStdev< Fit >, eoBit< FitT >, eoPBILDistrib< EOT >, eoParseTree< FType, Node >, eoExternalEO< Fit, External >, eoHowMany, eoIntNoBounds, eoIntInterval, eoIntBelowBound, eoIntAboveBound, eoGeneralIntBounds, eoParser, eoRealNoBounds, eoRealInterval, eoRealBelowBound, eoRealAboveBound, eoGeneralRealBounds, eoRealVectorBounds, eoRng, EO< double >, EO< EOT::Fitness >, EO< FitT >, EO< phenotype >, EO< fitnessT >, EO< Fit >, EO< FType >, EO< fitness_type >, EO< Fitness >, EO< PyFitness >, eoPop< PyEO >, eoPop< Dummy >, eoVector< Fit, double >, eoVector< FitT, double >, and eoVector< FitT, bool >.

Referenced by eoState::load().

Author

Generated automatically by Doxygen for EO from the source code.